## kmix 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(kmix)
set(PROJECT_VERSION "5.13.80")
set(PROJECT_VERSION_MAJOR 5)

add_definitions( -DTRANSLATION_DOMAIN=\"kmix\" )

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

set (QT_MIN_VERSION "5.11.0")
set (KF5_MIN_VERSION "5.48.0")
set (PA_MIN_VERSION "0.9.16")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMPackageConfigHelpers)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Core
    DBus
    Gui
    Widgets
    Xml
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    Crash
    DBusAddons
    DocTools
    GlobalAccel
    I18n
    Notifications
    Solid
    WidgetsAddons
    WindowSystem
    XmlGui
)

find_package(KF5Plasma ${KF5_MIN_VERSION})
set_package_properties(KF5Plasma PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Required to build Plasma data engine"
                      )

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

# PulseAudio is an optional dependency
#
find_package(PulseAudio "${PA_MIN_VERSION}")

# PulseAudio requires GLib2
if (PulseAudio_FOUND)
  find_package(GLIB2 REQUIRED)
endif(PulseAudio_FOUND)

# Canberra is an optional dependency
find_package(Canberra)

find_package(ALSA)

include(CheckCXXSourceCompiles)
check_cxx_source_compiles("
    #include <memory>
    int main() { std::shared_ptr<int> p; return 0; }
" HAVE_STD_SHARED_PTR)
check_cxx_source_compiles("
    #include <tr1/memory>
    int main() { std::tr1::shared_ptr<int> p; return 0; }
" HAVE_STD_TR1_SHARED_PTR)


configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

####################################################################################################
########### compile definitions ####################################################################
####################################################################################################

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
# TODO: is the next line really needed? Nothing seems to use anything to do with tagging.
if (MSVC)
  include_directories(${TAGLIB_INCLUDES})
endif (MSVC)

if (ALSA_FOUND)
  set(HAVE_LIBASOUND2 TRUE)
  add_definitions(-DHAVE_LIBASOUND2)
endif (ALSA_FOUND)

if (PulseAudio_FOUND)
  add_definitions(-DHAVE_PULSE)
  include_directories(${PulseAudio_INCLUDE_DIRS})
  include_directories(${GLIB2_INCLUDE_DIR})
endif (PulseAudio_FOUND)

if (CANBERRA_FOUND)
  add_definitions(-DHAVE_CANBERRA)
  include_directories(${CANBERRA_INCLUDE_DIRS})
endif (CANBERRA_FOUND)

####################################################################################################
########### subdirectories #########################################################################
####################################################################################################

add_subdirectory(doc)
add_subdirectory(pics)
add_subdirectory(profiles)
#add_subdirectory(tests)
if (KF5Plasma_FOUND)
  add_subdirectory(plasma)
endif ()

####################################################################################################
########### definitions: logging ###################################################################
####################################################################################################

ecm_qt_declare_logging_category(kmix_debug_SRCS
                                HEADER kmix_debug.h
                                IDENTIFIER KMIX_LOG
                                CATEGORY_NAME org.kde.kmix)

####################################################################################################
########### definitions: DBus adaptor ##############################################################
####################################################################################################

set(kmix_adaptor_SRCS
  dbus/dbusmixerwrapper.cpp
  dbus/dbusmixsetwrapper.cpp
  dbus/dbuscontrolwrapper.cpp
)

qt5_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.control.xml
	dbus/dbuscontrolwrapper.h DBusControlWrapper )
qt5_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.mixer.xml
	dbus/dbusmixerwrapper.h DBusMixerWrapper )
qt5_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.mixset.xml
	dbus/dbusmixsetwrapper.h DBusMixSetWrapper )

install(FILES dbus/org.kde.kmix.control.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES dbus/org.kde.kmix.mixer.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES dbus/org.kde.kmix.mixset.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

####################################################################################################
########### definitions: backends ##################################################################
####################################################################################################

set(kmix_backend_SRCS
  backends/mixer_backend.cpp
  backends/mixer_mpris2.cpp
)

if (HAVE_LIBASOUND2)
  set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_alsa9.cpp )
endif (HAVE_LIBASOUND2)

if (PulseAudio_FOUND)
  set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_pulse.cpp )
endif (PulseAudio_FOUND)

####################################################################################################
########### target: kmixcore library ###############################################################
####################################################################################################

set(kmixcore_SRCS
  core/MediaController.cpp
  core/mixertoolbox.cpp
  core/kmixdevicemanager.cpp
  core/ControlManager.cpp
  core/GlobalConfig.cpp
  core/MasterControl.cpp
  core/mixer.cpp
  core/mixset.cpp
  core/mixdevice.cpp
  core/mixdevicecomposite.cpp
  core/volume.cpp
)

add_library(kmixcore SHARED
  ${kmixcore_SRCS}
  ${kmix_adaptor_SRCS}
  ${kmix_backend_SRCS}
  ${kmix_debug_SRCS}
)

target_link_libraries(kmixcore
  PUBLIC
    Qt5::Core
    Qt5::Widgets
  PRIVATE
    Qt5::Xml
    Qt5::DBus
    KF5::I18n
    KF5::Solid
  PUBLIC
    KF5::ConfigCore
    KF5::ConfigGui
)

set_target_properties(kmixcore PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
generate_export_header(kmixcore BASE_NAME kmixcore EXPORT_FILE_NAME kmixcore_export.h)

if (HAVE_LIBASOUND2)
  target_link_libraries(kmixcore PRIVATE ${ALSA_LIBRARIES})
endif (HAVE_LIBASOUND2)

if (PulseAudio_FOUND)
  target_link_libraries(kmixcore PRIVATE ${PulseAudio_LIBRARIES} ${PulseAudio_MAINLOOP_LIBRARY} ${GLIB2_LIBRARIES})
endif (PulseAudio_FOUND)

if (CANBERRA_FOUND)
  target_link_libraries(kmixcore PRIVATE ${CANBERRA_LIBRARIES})
endif (CANBERRA_FOUND)

install(TARGETS kmixcore DESTINATION ${KDE_INSTALL_LIBDIR} LIBRARY NAMELINK_SKIP)

####################################################################################################
########### target: kmixgui library ################################################################
####################################################################################################

set(kmixgui_SRCS
  gui/dialogbase.cpp
  gui/dialogstatesaver.cpp
  gui/kmixdockwidget.cpp
  gui/kmixprefdlg.cpp
  gui/viewbase.cpp
  gui/viewdockareapopup.cpp
  gui/viewsliders.cpp
  gui/mixdevicewidget.cpp
  gui/mdwslider.cpp
  gui/mdwenum.cpp
  gui/kmixerwidget.cpp
  gui/ksmallslider.cpp
  gui/verticaltext.cpp
  gui/volumeslider.cpp
  gui/kmixtoolbox.cpp
  gui/dialogaddview.cpp
  gui/dialogviewconfiguration.cpp
  gui/dialogselectmaster.cpp
  gui/dialogchoosebackends.cpp
  gui/guiprofile.cpp
  gui/toggletoolbutton.cpp
)

add_library(kmixgui STATIC
  ${kmixgui_SRCS}
  ${kmix_debug_SRCS}
)

target_link_libraries(kmixgui
  kmixcore
  Qt5::Core
  Qt5::Widgets
  KF5::I18n
  KF5::ConfigCore
  KF5::ConfigGui
  KF5::GlobalAccel
  KF5::Notifications
  KF5::XmlGui
  KF5::WindowSystem
)

####################################################################################################
########### target: kmix ###########################################################################
####################################################################################################

set(kmix_SRCS
  apps/main.cpp
  apps/kmix.cpp
  apps/KMixApp.cpp
  ${kmix_debug_SRCS}
)

add_executable(kmix ${kmix_SRCS})
target_link_libraries(kmix
  kmixcore
  kmixgui
  KF5::I18n
  KF5::DBusAddons
  KF5::GlobalAccel
  KF5::XmlGui
  KF5::Notifications
  KF5::WindowSystem
)

install(TARGETS kmix ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES desktop/kmixui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kmix)
install(PROGRAMS desktop/org.kde.kmix.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES desktop/org.kde.kmix.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES desktop/kmix_autostart.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
install(FILES desktop/kmix.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )

####################################################################################################
########### target: kded_kmixd #####################################################################
####################################################################################################

set(kmixd_SRCS
  apps/kmixd.cpp
  ${kmix_debug_SRCS}
)

add_library(kded_kmixd MODULE ${kmixd_SRCS})
set_target_properties(kded_kmixd PROPERTIES OUTPUT_NAME kmixd)
kcoreaddons_desktop_to_json(kded_kmixd desktop/kmixd.desktop)

target_link_libraries(kded_kmixd
  kmixcore
  KF5::I18n
  KF5::CoreAddons
  KF5::DBusAddons
)

install(TARGETS kded_kmixd DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)

####################################################################################################
########### target: kmixctrl #######################################################################
####################################################################################################

set(kmixctrl_SRCS
  apps/kmixctrl.cpp
  ${kmix_debug_SRCS}
)

add_executable(kmixctrl ${kmixctrl_SRCS})
target_link_libraries(kmixctrl
  kmixcore
  KF5::I18n
  KF5::CoreAddons
)

install(TARGETS kmixctrl ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES desktop/kmixctrl_restore.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

####################################################################################################
########### other installs #########################################################################
####################################################################################################

install(PROGRAMS apps/kmixremote DESTINATION ${KDE_INSTALL_BINDIR})
install(FILES desktop/restore_kmix_volumes.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})

####################################################################################################
########### end ####################################################################################
####################################################################################################

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
kmix (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:11:35 +0000

kmix (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:21:46 +0000

kmix (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:55:54 +0000

kmix (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:49:32 +0000

kmix (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.3)
  * Restore Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:34:13 +0000

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.41.0~),
               gettext,
               libasound2-dev [linux-any],
               libcanberra-dev,
               libglib2.0-dev,
               libkf5completion-dev (>= 5.41.0~),
               libkf5config-dev (>= 5.41.0~),
               libkf5configwidgets-dev (>= 5.41.0~),
               libkf5crash-dev (>= 5.41.0~),
               libkf5dbusaddons-dev (>= 5.41.0~),
               libkf5doctools-dev (>= 5.41.0~),
               libkf5globalaccel-dev (>= 5.41.0~),
               libkf5i18n-dev (>= 5.41.0~),
               libkf5iconthemes-dev (>= 5.41.0~),
               libkf5notifications-dev (>= 5.41.0~),
               libkf5plasma-dev (>= 5.41.0~),
               libkf5solid-dev (>= 5.41.0~),
               libkf5widgetsaddons-dev (>= 5.41.0~),
               libkf5windowsystem-dev (>= 5.41.0~),
               libkf5xmlgui-dev (>= 5.41.0~),
               libpulse-dev (>= 0.9.16),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.4.1
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

## kmix 20.08.2

=== debian/changelog ===
kmix (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:39:59 +0100

kmix (4:20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Backport upstream commit b3fe63796dfaa0b667c21160a9c10615d6690411 to fix
    a crash at exit; patch
    upstream_Mixer-Delay-the-deletion-of-the-backend.patch. (Closes: #969456)

 -- Pino Toscano <pino@debian.org>  Fri, 04 Sep 2020 10:13:48 +0200

kmix (4:20.08.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Update the build dependencies according to the upstream build system:
    - remove libglib2.0-dev, no more needed directly

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 16:01:42 +0200

kmix (4:20.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump Qt packages to 5.11.0
    - bump KF packages to 5.48.0
    - remove libkf5iconthemes-dev, no more needed
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 13:32:25 +0200

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.48.0~),
               gettext,
               libasound2-dev [linux-any],
               libcanberra-dev,
               libkf5completion-dev (>= 5.48.0~),
               libkf5config-dev (>= 5.48.0~),
               libkf5configwidgets-dev (>= 5.48.0~),
               libkf5crash-dev (>= 5.48.0~),
               libkf5dbusaddons-dev (>= 5.48.0~),
               libkf5doctools-dev (>= 5.48.0~),
               libkf5globalaccel-dev (>= 5.48.0~),
               libkf5i18n-dev (>= 5.48.0~),
               libkf5notifications-dev (>= 5.48.0~),
               libkf5plasma-dev (>= 5.48.0~),
               libkf5solid-dev (>= 5.48.0~),
               libkf5widgetsaddons-dev (>= 5.48.0~),
               libkf5windowsystem-dev (>= 5.48.0~),
               libkf5xmlgui-dev (>= 5.48.0~),
               libpulse-dev (>= 0.9.16),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.11.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmix
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmix.git

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

## kmix 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 set (PA_MIN_VERSION "0.9.16")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -58,11 +58,6 @@
 #
 find_package(PulseAudio "${PA_MIN_VERSION}")
 
-# PulseAudio requires GLib2
-if (PulseAudio_FOUND)
-  find_package(GLIB2 REQUIRED)
-endif(PulseAudio_FOUND)
-
 # Canberra is an optional dependency
 find_package(Canberra)
 
@@ -99,7 +94,6 @@
 if (PulseAudio_FOUND)
   add_definitions(-DHAVE_PULSE)
   include_directories(${PulseAudio_INCLUDE_DIRS})
-  include_directories(${GLIB2_INCLUDE_DIR})
 endif (PulseAudio_FOUND)
 
 if (CANBERRA_FOUND)
@@ -213,7 +207,7 @@
 endif (HAVE_LIBASOUND2)
 
 if (PulseAudio_FOUND)
-  target_link_libraries(kmixcore PRIVATE ${PulseAudio_LIBRARIES} ${PulseAudio_MAINLOOP_LIBRARY} ${GLIB2_LIBRARIES})
+  target_link_libraries(kmixcore PRIVATE ${PulseAudio_LIBRARIES} ${PulseAudio_MAINLOOP_LIBRARY})
 endif (PulseAudio_FOUND)
 
 if (CANBERRA_FOUND)
@@ -238,7 +232,6 @@
   gui/mdwslider.cpp
   gui/mdwenum.cpp
   gui/kmixerwidget.cpp
-  gui/ksmallslider.cpp
   gui/verticaltext.cpp
   gui/volumeslider.cpp
   gui/kmixtoolbox.cpp

=== plasma/engine/CMakeLists.txt ===
include_directories( ../../ )

set(mixer_engine_SRCS
	mixerengine.cpp
	mixerservice.cpp
)

qt5_add_dbus_interface(mixer_engine_SRCS ../../dbus/org.kde.kmix.mixset.xml
	mixset_interface)
qt5_add_dbus_interface(mixer_engine_SRCS ../../dbus/org.kde.kmix.mixer.xml
	mixer_interface)
qt5_add_dbus_interface(mixer_engine_SRCS ../../dbus/org.kde.kmix.control.xml
	control_interface)

add_library(plasma_engine_mixer MODULE ${mixer_engine_SRCS})
target_link_libraries(plasma_engine_mixer KF5::Plasma Qt5::DBus)
kcoreaddons_desktop_to_json(plasma_engine_mixer plasma-dataengine-mixer.desktop)

install(TARGETS plasma_engine_mixer DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/dataengine)
install(FILES plasma-dataengine-mixer.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(FILES mixer.operations DESTINATION ${PLASMA_DATA_INSTALL_DIR}/services)

=== debian/changelog ===
kmix (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Drop patch upstream_Mixer-Delay-the-deletion-of-the-backend.patch applied
    upstream.
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Jan 2021 11:21:41 +0100

kmix (4:20.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.2).
  * Refresh copyright information.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.
  * Add lintian override for kmix not having a manual, as it doesn’t have any
    command line argument.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 30 Oct 2020 00:19:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.48.0~),
@@ -27,9 +27,9 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.11.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Homepage: https://apps.kde.org/en/kmix
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmix
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmix.git

## kmix 20.12.3

=== debian/changelog ===
kmix (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:22:48 +0000

kmix (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:56:29 +0000

kmix (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:11:40 +0000

## kmix 21.08.1

=== debian/changelog ===
kmix (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Wed, 08 Sep 2021 12:42:18 +0900

kmix (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:18:45 +0900

kmix (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 14:45:17 +0900

## kmix 21.08.3

=== debian/changelog ===
kmix (4:21.08.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 05 Nov 2021 09:50:33 +0900

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               libasound2-dev [linux-any],
               libcanberra-dev,
               libkf5completion-dev (>= 5.68.0~),
               libkf5config-dev (>= 5.68.0~),
               libkf5configwidgets-dev (>= 5.68.0~),
               libkf5crash-dev (>= 5.68.0~),
               libkf5dbusaddons-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5globalaccel-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5notifications-dev (>= 5.68.0~),
               libkf5plasma-dev (>= 5.68.0~),
               libkf5solid-dev (>= 5.68.0~),
               libkf5widgetsaddons-dev (>= 5.68.0~),
               libkf5windowsystem-dev (>= 5.68.0~),
               libkf5xmlgui-dev (>= 5.68.0~),
               libpulse-dev (>= 0.9.16),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.11.0~),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kmix
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmix
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmix.git

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

## kmix 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,31 @@
-cmake_minimum_required(VERSION 3.5)
-project(kmix)
-set(PROJECT_VERSION "5.13.80")
-set(PROJECT_VERSION_MAJOR 5)
-
-add_definitions( -DTRANSLATION_DOMAIN=\"kmix\" )
-
-SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+cmake_minimum_required(VERSION 3.16)
+
+# KDE Applications version, managed by release script.
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+
+set(KMIX_VERSION ${RELEASE_SERVICE_VERSION})
+project(kmix VERSION ${KMIX_VERSION})
+# SOVERSION of the kmixcore library
+set(KMIX_VERSION_MAJOR 5)
+# Version of the configuration, originally from core/version.h
+set(KMIX_CONFIG_VERSION 3)
+
+####################################################################################################
+########### options ################################################################################
+####################################################################################################
+
+# Plasma dataengines are apparently deprecated and will be removed in Plasma 6
+option(BUILD_DATAENGINE "Build the Plasma dataengine" OFF)
+
+####################################################################################################
+########### dependencies and tests #################################################################
+####################################################################################################
 
 set (QT_MIN_VERSION "5.11.0")
-set (KF5_MIN_VERSION "5.48.0")
+set (KF5_MIN_VERSION "5.68.0")
 set (PA_MIN_VERSION "0.9.16")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
@@ -17,7 +34,6 @@
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
-include(ECMPackageConfigHelpers)
 include(ECMInstallIcons)
 include(ECMQtDeclareLoggingCategory)
 include(GenerateExportHeader)
@@ -46,23 +62,23 @@
     XmlGui
 )
 
-find_package(KF5Plasma ${KF5_MIN_VERSION})
-set_package_properties(KF5Plasma PROPERTIES
-                       TYPE OPTIONAL
-                       PURPOSE "Required to build Plasma data engine"
-                      )
+if (BUILD_DATAENGINE)
+  find_package(KF5Plasma ${KF5_MIN_VERSION} REQUIRED)
+  set_package_properties(KF5Plasma PROPERTIES PURPOSE "Required to build the Plasma dataengine")
+endif (BUILD_DATAENGINE)
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
 # PulseAudio is an optional dependency
-#
 find_package(PulseAudio "${PA_MIN_VERSION}")
 
 # Canberra is an optional dependency
 find_package(Canberra)
 
+# ALSA is an optional dependency
 find_package(ALSA)
 
+# TODO: this test is probably obsolete by now
 include(CheckCXXSourceCompiles)
 check_cxx_source_compiles("
     #include <memory>
@@ -73,9 +89,6 @@
     int main() { std::tr1::shared_ptr<int> p; return 0; }
 " HAVE_STD_TR1_SHARED_PTR)
 
-
-configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
-
 ####################################################################################################
 ########### compile definitions ####################################################################
 ####################################################################################################
@@ -86,6 +99,21 @@
   include_directories(${TAGLIB_INCLUDES})
 endif (MSVC)
 
+# TODO: this must be long obsolete by now
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+
+add_definitions(-DTRANSLATION_DOMAIN=\"kmix\")
+add_definitions(-DKMIX_VERSION=\"${KMIX_VERSION}\")
+add_definitions(-DKMIX_CONFIG_VERSION=${KMIX_CONFIG_VERSION})
+
+if (HAVE_STD_SHARED_PTR)
+  add_definitions(-DHAVE_STD_SHARED_PTR)
+else (HAVE_STD_SHARED_PTR)
+  if (HAVE_STD_TR1_SHARED_PTR)
+    add_definitions(-DHAVE_STD_TR1_SHARED_PTR)
+  endif (HAVE_STD_TR1_SHARED_PTR)
+endif (HAVE_STD_SHARED_PTR)
+
 if (ALSA_FOUND)
   set(HAVE_LIBASOUND2 TRUE)
   add_definitions(-DHAVE_LIBASOUND2)
@@ -108,10 +136,12 @@
 add_subdirectory(doc)
 add_subdirectory(pics)
 add_subdirectory(profiles)
-#add_subdirectory(tests)
-if (KF5Plasma_FOUND)
-  add_subdirectory(plasma)
-endif ()
+
+if (BUILD_DATAENGINE)
+  if (KF5Plasma_FOUND)
+    add_subdirectory(plasma)
+  endif (KF5Plasma_FOUND)
+endif (BUILD_DATAENGINE)
 
 ####################################################################################################
 ########### definitions: logging ###################################################################
@@ -120,6 +150,8 @@
 ecm_qt_declare_logging_category(kmix_debug_SRCS
                                 HEADER kmix_debug.h
                                 IDENTIFIER KMIX_LOG
+                                EXPORT kmixlogging
+                                DESCRIPTION "KMix sound mixer and volume control"
                                 CATEGORY_NAME org.kde.kmix)
 
 ####################################################################################################
@@ -169,7 +201,6 @@
   core/mixertoolbox.cpp
   core/kmixdevicemanager.cpp
   core/ControlManager.cpp
-  core/GlobalConfig.cpp
   core/MasterControl.cpp
   core/mixer.cpp
   core/mixset.cpp
@@ -177,6 +208,8 @@
   core/mixdevicecomposite.cpp
   core/volume.cpp
 )
+
+kconfig_add_kcfg_files(kmixcore_SRCS core/settings.kcfgc)
 
 add_library(kmixcore SHARED
   ${kmixcore_SRCS}
@@ -199,7 +232,7 @@
     KF5::ConfigGui
 )
 
-set_target_properties(kmixcore PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
+set_target_properties(kmixcore PROPERTIES VERSION ${KMIX_VERSION} SOVERSION ${KMIX_VERSION_MAJOR})
 generate_export_header(kmixcore BASE_NAME kmixcore EXPORT_FILE_NAME kmixcore_export.h)
 
 if (HAVE_LIBASOUND2)
@@ -211,10 +244,12 @@
 endif (PulseAudio_FOUND)
 
 if (CANBERRA_FOUND)
-  target_link_libraries(kmixcore PRIVATE ${CANBERRA_LIBRARIES})
+  # VolumeFeedback calls Canberra directly, so public linking is required
+  target_link_libraries(kmixcore PUBLIC ${CANBERRA_LIBRARIES})
 endif (CANBERRA_FOUND)
 
 install(TARGETS kmixcore DESTINATION ${KDE_INSTALL_LIBDIR} LIBRARY NAMELINK_SKIP)
+install(FILES core/settings.kcfg RENAME kmixsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
 
 ####################################################################################################
 ########### target: kmixgui library ################################################################
@@ -267,10 +302,14 @@
 
 set(kmix_SRCS
   apps/main.cpp
-  apps/kmix.cpp
-  apps/KMixApp.cpp
+  apps/kmixwindow.cpp
+  apps/kmixapp.cpp
   ${kmix_debug_SRCS}
 )
+
+if (CANBERRA_FOUND)
+  set(kmix_SRCS ${kmix_SRCS} apps/volumefeedback.cpp)
+endif (CANBERRA_FOUND)
 
 add_executable(kmix ${kmix_SRCS})
 target_link_libraries(kmix
@@ -316,37 +355,3 @@
 
 ####################################################################################################
 ########### target: kmixctrl #######################################################################
-####################################################################################################
-
-set(kmixctrl_SRCS
-  apps/kmixctrl.cpp
-  ${kmix_debug_SRCS}
-)
-
-add_executable(kmixctrl ${kmixctrl_SRCS})
-target_link_libraries(kmixctrl
-  kmixcore
-  KF5::I18n
-  KF5::CoreAddons
-)
-
-install(TARGETS kmixctrl ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
-
-install(FILES desktop/kmixctrl_restore.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
-
-####################################################################################################
-########### other installs #########################################################################
-####################################################################################################
-
-install(PROGRAMS apps/kmixremote DESTINATION ${KDE_INSTALL_BINDIR})
-install(FILES desktop/restore_kmix_volumes.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
-
-####################################################################################################
-########### end ####################################################################################
-####################################################################################################
-
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()

=== debian/changelog ===
kmix (4:21.12.3-2ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable: Remaining changes:
    - Kubuntu Vcs and maintainer.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Mar 2022 09:12:33 +0000

kmix (4:21.12.3-2) unstable; urgency=medium

  * Team upload.
  * Drop the libkf5plasma-dev build dependency, as the Plasma dataengine is
    no more built by default (and dataengines are deprecated in general in
    Plasma).
  * Remove no more existing files from copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 17 Mar 2022 07:01:46 +0100

kmix (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 23:05:17 +0100

kmix (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:13:02 +0000

kmix (4:21.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Feb 2022 09:14:43 +0100

kmix (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:19:38 +0000

kmix (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:27:29 +0000

kmix (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:24:38 +0000

kmix (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:09:06 +0000

kmix (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:19:51 +0000

kmix (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:27:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: kmix
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.68.0~),
                gettext,
@@ -19,7 +20,6 @@
                libkf5globalaccel-dev (>= 5.68.0~),
                libkf5i18n-dev (>= 5.68.0~),
                libkf5notifications-dev (>= 5.68.0~),
-               libkf5plasma-dev (>= 5.68.0~),
                libkf5solid-dev (>= 5.68.0~),
                libkf5widgetsaddons-dev (>= 5.68.0~),
                libkf5windowsystem-dev (>= 5.68.0~),
@@ -31,16 +31,14 @@
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/kmix
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmix
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmix.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
 
 Package: kmix
 Section: sound
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: x-audio-mixer
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
 Description: volume control and mixer
  KMix is an audio device mixer, used to adjust volume, select recording inputs,
  and set other hardware options.

## kmix 22.08.1

=== debian/changelog ===
kmix (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:42:32 +0100

kmix (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:52:08 +0100

kmix (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:29:46 +0100

kmix (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:04:01 +0100

kmix (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:02:50 +0100

kmix (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:50:24 +0100
